# Configuration for 'get_stations.py'
# Too much options to be ingested and parsed ?!

#sfcstatfile='ubicacion_datos_sup.csv'
sfcstatfile='ubicacion_sfc_test.csv'

# Surface stations columns for data
sfclatcol=0
sfcloncol=1
sfclabcol=3
sfchgtcol=2

sndstatfile='ubicacion_sondeos.csv'

# Sounding stations columns for data
sndlatcol=1
sndloncol=2
sndlabcol=0
sndhgtcol=3

# comment char
comchar = '#'

# separation char
sepchar = ','

# missing value
missvalS = ['0', 'NaN']

# simulation file
simfilen = '/home/lluis/PY/wrfout_d01_1995-01-01_00:00:00'

# dimension CFequivalences
CFdims = {'lon': 'west_east', 'lat': 'south_north', 'plev': 'bottom_top',            \
  'time': 'Time'}

# axes dimensions
axesdims = {'X': ['west_east', 'west_east_stag'],                                    \
  'Y': ['south_north', 'south_north_stag'], 'Z': ['bottom_top', 'bottom_top_stag'],  \
  'T': ['Time']}

# axes variables
axesvars = {'X': ['XLONG', 'XLONG_U'], 'Y': ['XLAT', 'XLAT_V'], 'Z': ['ZNU', 'ZNW'], \
  'T': ['WRFtime']}

# dim Variables ('H' to determine station height from file)
dimvariables = {'west_east': 'XLONG', 'south_north': 'XLAT', 'bottom_top': 'ZNU',    \
  'Time': 'WRFtime', 'west_east_stag': 'XLONG_U', 'south_north_stag': 'XLAT_U',      \
  'bottom_top_stag': 'ZNW', 'H': 'HGT'}

# SFC Variables
sfcvariables = {'tas':'T2', 'uas':'WRFuas', 'vas':'WRFvas', 'huss':'Q2', 'ps':'PSFC'}
sfcrefvar = 'tas'

# Vertical Variables
sndvariables= {'ta':'WRFta', 'ua':'WRFua', 'va':'WRFva', 'hus':'QVAPOR',             \
  'zg':'WRFzg', 'plev':'WRFp', 'tda': 'WRFtd'}
sndrefvar = 'ta'

# Variable pressure
UnitsPress = 'Pa'
Pressdimref = 'bottom_top'

# Does pressure variable change with time?
presstime = True

# Map range
#nlon = -80.
#xlon = -50.
#nlat = -60.
#xlat = -20.

# Map range RELAMPAGO
nlon = -70.
xlon = -57.
nlat = -37.
xlat = -27.

# CF Temporal values
ReferenceDate = '19491201000000'
UnitsTime = 'minutes'

